# Lists Invoices

## Faturaları listeler.

> Faturaları listelemek için bu ucu kullanabilirsiniz.> \
> \<br />&#x20;> \
> \*\*Search\*\* parametresiyle liste içerisinde arama yapabilirsiniz.

```json
{"openapi":"3.0.1","info":{"title":"E-Archive API","version":"v1"},"servers":[{"url":"/earchive"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"API anahtar� giriniz","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"SortType":{"enum":["ASC","DESC"],"type":"string"},"InvoiceType":{"enum":["SATIS","IADE","ISTISNA","TEVKIFAT","IHRACKAYITLI","IPTAL","OZELMATRAH","SGK","TEVKIFATIADE","KOMISYONCU","HKSSATIS","HKSKOMISYONCU","KONAKLAMAVERGISI","SARJ","SARJANLIK","TEKNOLOJIDESTEK"],"type":"string"},"StatusCode":{"enum":["unknown","waiting","succeed","error"],"type":"string"},"SendType":{"enum":["KAGIT","ELEKTRONIK"],"type":"string"},"DateFilterType":{"enum":["IssueDate","CreatedDate"],"type":"string"},"LucaStatus":{"enum":["None","Succeded","Error","Unknown"],"type":"string"},"EArchiveInvoiceResponsePagination":{"type":"object","properties":{"Page":{"type":"integer","format":"int32"},"PageSize":{"type":"integer","format":"int32"},"TotalCount":{"type":"integer","format":"int32","nullable":true},"TotalPages":{"type":"integer","format":"int32","nullable":true,"readOnly":true},"Content":{"type":"array","items":{"$ref":"#/components/schemas/EArchiveInvoiceResponse"},"nullable":true}},"additionalProperties":false},"EArchiveInvoiceResponse":{"type":"object","properties":{"UUID":{"type":"string","nullable":true},"InvoiceNumber":{"type":"string","nullable":true},"SendType":{"$ref":"#/components/schemas/SendType"},"IssueDate":{"type":"string","format":"date-time"},"TotalAmount":{"type":"number","format":"double"},"PayableAmount":{"type":"number","format":"double"},"TaxTotalAmount":{"type":"number","format":"double"},"TaxExclusiveAmount":{"type":"number","format":"double"},"LineExtensionAmount":{"type":"number","format":"double"},"ExchangeRate":{"type":"number","format":"double"},"AllowanceTotalAmount":{"type":"number","format":"double"},"ChargeTotalAmount":{"type":"number","format":"double"},"CurrencyCode":{"type":"string","nullable":true},"ReceiverTaxNumber":{"type":"string","nullable":true},"ReceiverName":{"type":"string","nullable":true},"CreatedDate":{"type":"string","format":"date-time"},"InvoiceType":{"$ref":"#/components/schemas/InvoiceType"},"StatusCode":{"$ref":"#/components/schemas/StatusCode"},"StatusDetail":{"type":"string","nullable":true},"IsCancel":{"type":"boolean"},"IsReport":{"type":"boolean"},"IsRead":{"type":"boolean"},"IsPrint":{"type":"boolean"},"IsInternet":{"type":"boolean"},"IsTransfer":{"type":"boolean"},"ZirveStatus":{"type":"boolean","nullable":true},"ReportUUID":{"type":"string","nullable":true},"ReportDate":{"type":"string","format":"date-time","nullable":true},"CancelReportUUID":{"type":"string","nullable":true},"CancelDate":{"type":"string","format":"date-time","nullable":true},"SuccessMail":{"type":"integer","format":"int32"},"ErrorMail":{"type":"integer","format":"int32"},"Email":{"type":"string","nullable":true},"Tags":{"type":"array","items":{"$ref":"#/components/schemas/Tags"},"nullable":true,"readOnly":true},"SpecialCode":{"type":"string","nullable":true},"Luca":{"$ref":"#/components/schemas/Luca"}},"additionalProperties":false},"Tags":{"type":"object","properties":{"UUID":{"type":"string","nullable":true},"Description":{"type":"string","nullable":true},"Name":{"type":"string","nullable":true},"Color":{"type":"string","nullable":true}},"additionalProperties":false},"Luca":{"type":"object","properties":{"Status":{"$ref":"#/components/schemas/LucaStatus"},"Description":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/Invoices":{"get":{"tags":["Invoices"],"summary":"Faturaları listeler.","description":"Faturaları listelemek için bu ucu kullanabilirsiniz.\r\n<br /> \r\n**Search** parametresiyle liste içerisinde arama yapabilirsiniz.","parameters":[{"name":"PageSize","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Page","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Search","in":"query","schema":{"type":"string"}},{"name":"StartDate","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"EndDate","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"SortColumn","in":"query","schema":{"type":"string"}},{"name":"SortType","in":"query","schema":{"$ref":"#/components/schemas/SortType"}},{"name":"InvoiceType","in":"query","schema":{"type":"array","items":{"$ref":"#/components/schemas/InvoiceType"}}},{"name":"StatusCode","in":"query","schema":{"type":"array","items":{"$ref":"#/components/schemas/StatusCode"}}},{"name":"IsReport","in":"query","schema":{"type":"boolean"}},{"name":"IsPrint","in":"query","schema":{"type":"boolean"}},{"name":"IsCancel","in":"query","schema":{"type":"boolean"}},{"name":"IsInternet","in":"query","schema":{"type":"boolean"}},{"name":"MailStatus","in":"query","schema":{"type":"boolean"}},{"name":"IsTransfer","in":"query","schema":{"type":"boolean"}},{"name":"SendType","in":"query","schema":{"type":"array","items":{"$ref":"#/components/schemas/SendType"}}},{"name":"DateFilterType","in":"query","schema":{"$ref":"#/components/schemas/DateFilterType"}},{"name":"LucaStatus","in":"query","schema":{"type":"array","items":{"$ref":"#/components/schemas/LucaStatus"}}}],"responses":{"200":{"description":"Faturaları listeler","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EArchiveInvoiceResponsePagination"}}}},"400":{"description":"Geçersiz İstek | Gönderdiğiniz istekte geçersiz veriler bulunduğu anlamında gelmektedir | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#badrequest-400\">tıklayınız</a>"},"403":{"description":"Yetkisiz Erişim | Bu uca erişmek için gerekli yetkiye sahip olmadığınız durumda dönülür"},"404":{"description":"Parametrede belirtilen kayıt bulunamadığında dönülür | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#notfound-404\">tıklayınız</a>"}}}}}}
```

{% tabs %}
{% tab title="C#" %}

```csharp
var client = new RestClient("https://apitest.nilvera.com/earchive/Invoices");
client.Timeout = -1;
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <API KEY>");
IRestResponse response = client.Execute(request);
Console.WriteLine(response.Content);
```

{% endtab %}

{% tab title="PHP - cURL" %}

```php
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/earchive/Invoices',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer <API KEY>'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
```

{% endtab %}

{% tab title="NodeJs - Axios" %}

```javascript
var axios = require('axios');
var config = {
  method: 'get',
  url: 'https://apitest.nilvera.com/earchive/Invoices',
  headers: { 
    'Authorization': 'Bearer <API KEY>'
  }
};
axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
});
```

{% endtab %}
{% endtabs %}
